=begin
###
Copyright 2011-2015 TIG (c)
Permission to use, copy, modify, and distribute this software for any 
purpose, and currently without fee, is hereby granted, provided that  
this text and the above copyright (c) notice appear in all copies.
This software is provided "as is" and without any express or implied 
warranties, including, without limitation, the implied warranties of 
merchantability and fitness for a particular purpose.
###
=end
###
module TIG
  module SolidSolver
		### tidy up
		data=File.join(DATA, "Data.txt")
		if File.exist?(data)
			begin
				File.delete(data)
			rescue
			end
		end
		###
		def self.loadRBS(path)
			return if path =~ /rbe$/ && Sketchup.version.to_i<=15
			pos=nil
			$".each_with_index{|p, i|
				p = p.dup.force_encoding("UTF-8") if defined?(Encoding)
				(pos=i; break) if p==path || p=~/(#{path})\.(rb|rbs|rbe)\z/i
			}
			$".delete_at(pos) if pos
			Sketchup::require(path)
		end
		Dir.entries(DATA).select{|e|
			File.extname(e).downcase =~ /\.(rb|rbs|rbe)\z/i
		}.each{|f|
			self.loadRBS(File.join(DATA, f))
		}  
  end#module
end#module
